org.hibernate.validator.internal.engine

## Class MessageInterpolatorContext

- java.lang.Object
- - org.hibernate.validator.internal.engine.MessageInterpolatorContext

- All Implemented Interfaces:
    MessageInterpolator.Context, HibernateMessageInterpolatorContext

      public class MessageInterpolatorContext
      extends Object
      implements HibernateMessageInterpolatorContext

  Implementation of the context used during message interpolation.
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageInterpolatorContext(ConstraintDescriptor<?> constraintDescriptor, Object validatedValue, Class<?> rootBeanType, Map<String,Object> messageParameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ConstraintDescriptor<?>` | `getConstraintDescriptor()`
    `Map<String,Object>` | `getMessageParameters()`
    `Class<?>` | `getRootBeanType()` Returns the currently validated root bean type.
    `Object` | `getValidatedValue()`
    `int` | `hashCode()`
    `String` | `toString()`
    `<T> T` | `unwrap(Class<T> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageInterpolatorContext

          public MessageInterpolatorContext(ConstraintDescriptor<?> constraintDescriptor,
                                    Object validatedValue,
                                    Class<?> rootBeanType,
                                    Map<String,Object> messageParameters)

  - ### Method Detail

    - #### getConstraintDescriptor

          public ConstraintDescriptor<?> getConstraintDescriptor()

      Specified by:
        `getConstraintDescriptor` in interface `MessageInterpolator.Context`

    - #### getValidatedValue

          public Object getValidatedValue()

      Specified by:
        `getValidatedValue` in interface `MessageInterpolator.Context`

    - #### getRootBeanType

          public Class<?> getRootBeanType()

      Description copied from interface: `HibernateMessageInterpolatorContext`
      Returns the currently validated root bean type.
      Specified by:
        `getRootBeanType` in interface `HibernateMessageInterpolatorContext`
      Returns:
        The currently validated root bean type.

    - #### getMessageParameters

          public Map<String,Object> getMessageParameters()

    - #### unwrap

          public <T> T unwrap(Class<T> type)

      Specified by:
        `unwrap` in interface `MessageInterpolator.Context`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved